Retrieve a task

Retrieves one task by uuid. Unlike the list endpoint, this returns the task's description, as both description_html and description_plain_text.

Path Parameters
  • uuid
    Type: string
    required

    The task's uuid.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/public-api/v1/tasks/{uuid}
curl 'https://app.hellobonsai.com/public-api/v1/tasks/{uuid}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": {
    "uuid": "ad3fdad8-5072-46df-8800-bb57299179df",
    "title": "Finalize homepage mockups",
    "number": "ACME-00104",
    "due_date": "2026-05-15",
    "start_date": "2026-05-01",
    "time_estimate_in_minutes": 90,
    "priority": "high",
    "completed_at": "2026-04-14T09:12:04.000Z",
    "archived_at": "2026-04-14T09:12:04.000Z",
    "assignee_id": 6012,
    "assignee_member_id": 314,
    "creator_member_id": 315,
    "project_id": 51,
    "billable": true,
    "parent_task_uuid": "e5b1c7d2-91aa-4f30-8f6d-2c1b4a5e7f80",
    "project_title": "Acme Website",
    "assignee_member_name": "Maria Santos",
    "url": "https://app.hellobonsai.com/tasks/ad3fdad8-5072-46df-8800-bb57299179df",
    "task_status": {
      "id": "e1c4b06e-3a0f-4a52-9c8f-6a1d2b3c4d5e",
      "status": "In Progress",
      "state": "active",
      "color": "#520EB0",
      "position": 1
    },
    "company_tags": [
      {
        "id": 7,
        "name": "VIP"
      }
    ],
    "description_html": "<p>Draft the <strong>brief</strong></p>",
    "description_plain_text": "Draft the brief"
  },
  "meta": {
    "request_id": "b1f0d2c4-7a9e-4c3b-8d5f-1e2a3b4c5d6e"
  }
}